unit Unit1;

interface
//Remember to put MMSystem here in the uses list.
uses
  Windows, MMSystem, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Menus;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    MainMenu1: TMainMenu;
    Functions1: TMenuItem;
    OpenCD1: TMenuItem;
    CloseCD1: TMenuItem;
    Help1: TMenuItem;
    Help2: TMenuItem;
    About1: TMenuItem;
    Exit1: TMenuItem;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure OpenCD1Click(Sender: TObject);
    procedure CloseCD1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure Help2Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
procedure ColorOpen;
  begin
  Panel1.Color:=clRed;
  Application.ProcessMessages;
  sleep (10);
  Panel1.Caption:='Cd Opened!';
  end;
//Now Here is the trick :)
begin
  mciSendString('Set cdaudio door open wait', nil, 0, handle);
  ColorOpen;
end;

procedure TForm1.Button2Click(Sender: TObject);
procedure ColorClose;
  begin
  Panel1.Color:=clBlue;
  Application.ProcessMessages;
  sleep (10);
  Panel1.Caption:='Cd Closed!';
  end;
//Here again :) , the Menu functions are just the same as the one found here
begin
  mciSendString('Set cdaudio door closed wait', nil, 0, handle);
  ColorClose;
end;

procedure TForm1.Button3Click(Sender: TObject);
procedure bye;
  begin
  MessageDlg('Hope you liked the Program! ... Bye!', mtInformation, [mbOk], 0)
  end;

  begin
  bye;
  close;
end;

procedure TForm1.OpenCD1Click(Sender: TObject);
procedure ColorOpen;
  begin
  Panel1.Color:=clRed;
  Application.ProcessMessages;
  sleep (10);
  Panel1.Caption:='Cd Opened!';
  end;
begin
  mciSendString('Set cdaudio door open wait', nil, 0, handle);
  ColorOpen;
end;

procedure TForm1.CloseCD1Click(Sender: TObject);
procedure ColorClose;
  begin
  Panel1.Color:=clBlue;
  Application.ProcessMessages;
  sleep (10);
  Panel1.Caption:='Cd Closed!';
  end;

begin
  mciSendString('Set cdaudio door closed wait', nil, 0, handle);
  ColorClose;
end;

procedure TForm1.About1Click(Sender: TObject);
begin
  Form2.ShowModal;
end;

procedure TForm1.Help2Click(Sender: TObject);
begin
  Form3.ShowModal;
end;

procedure TForm1.Exit1Click(Sender: TObject);
procedure bye;
  begin
  MessageDlg('Hope you liked the Program! ... Bye!', mtInformation, [mbOk], 0)
  end;
begin
  bye;
  Close;
end;

end.
